moments <-
function(U,V){
	# Utility function used by LIMEst
	# Computes 2 moments of the bivariate distribution of (U,V)
	# where U is a SNP and V is a continuous phenotype
	
	## centralize distributions
	Y<-V-mean(V);
	X<-U-mean(U);
	
	## compute moments
	S<-c(
	mean(X*Y),mean(X^2*Y)
	);
	return(matrix(S,length(S),1));
}
