solpos <-
function(q,K,L,M,N){
	# Utility function used by LIMEst
	## analytical KKT solution at upper boundary of LD (p=0.5,LD=q/2,b=,Lagrange=)
	
	lagr<-(-16.*M*N*(-1. + q)**2*(-9.*K**2*M + 9.*K*L*M - 9.*K*L*N + 9.*L**2*N + 24.*K**2*M*q - 12.*K*L*M*q + 36.*K*L*N*q - 24.*L**2*N*q - 18.*K**2*M*q**2 + 4.*K*L*M*q**2 - 48.*K*L*N*q**2 + 18.*L**2*N*q**2 + 4.*K**2*M*q**3 + 24.*K*L*N*q**3 - 4.*L**2*N*q**3 - 4.*K*L*N*q**4))/(-81.*M**2 - 162.*M*N - 81.*N**2 + 216.*M**2*q + 864.*M*N*q + 648.*N**2*q - 216.*M**2*q**2 - 1800.*M*N*q**2 - 2160.*N**2*q**2 + 96.*M**2*q**3 + 1872.*M*N*q**3 + 3888.*N**2*q**3 - 16.*M**2*q**4 - 1032.*M*N*q**4 - 4104.*N**2*q**4 + 288.*M*N*q**5 + 2592.*N**2*q**5 - 32.*M*N*q**6 - 960.*N**2*q**6 + 192.*N**2*q**7 - 16.*N**2*q**8);
	if(lagr<0){
		rawest<-c(NA,NA,NA,NA);
	}else{
	rawest<-c(
		.5,
		q/2,
		(3.*K*M + 3.*L*N - 2.*K*M*q - 6.*L*N*q + 2.*L*N*q**2)/(9.*M*q + 9.*N*q - 12.*M*q**2 - 36.*N*q**2 + 4.*M*q**3 + 48.*N*q**3 - 24.*N*q**4 + 4.*N*q**5),
		lagr
	);
	}
	return(rawest);
}
