\name{momentcov}
\alias{momentcov}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
%%  ~~function to do ... ~~
Computes the weight matrix used in the cost function to be optimized in \code{LIMEst}
}
\description{
%%  ~~ A concise (1-5 lines) description of what the function does. ~~
Utility function used by \code{LIMEst}. Computes the diagonal of the covariance matrix of the 2 moments in S computed with \code{moments}. The resulting matrix is used as weight matrix in the cost function to be optimized within the latent variable regression problem.
}
\usage{
momentcov(U, V, S)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{U}{
%%     ~~Describe \code{U} here~~
measured SNP encoded as 0/1/2
}
  \item{V}{
%%     ~~Describe \code{V} here~~
measured continuous phenotype
}
  \item{S}{
%%     ~~Describe \code{S} here~~
moments vector computed with \code{moments}
}
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
A diagonal weight matrix of variances of moments used for the latent variable regression
%%  ~Describe the value returned
%%  If it is a LIST, use
%%  \item{comp1 }{Description of 'comp1'}
%%  \item{comp2 }{Description of 'comp2'}
%% ...
}
\references{
%% ~put references to the literature/web site here ~
}
\author{
%%  ~~who you are~~
Janos-Zsigmond Kelemen, Niko Beerenwinkel
}
\note{
%%  ~~further notes~~
This function is only used internally by \code{LIMEst}.
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
\code{\link{LIMEst}}
}
% \examples{
% ## The function is used internally by the latent variable regression
% % ## The function is currently defined as
% % function (U, V, S) 
% % {
    % % Y <- V - mean(V)
    % % X <- U - mean(U)
    % % l <- length(S)
    % % gamma <- matrix(c(mean(X^2 * Y^2), 0, 0, mean(X^4 * Y^2)), 
        % % l, l, byrow = T) - S \%*\% t(S)
    % % return(gamma)
  % % }
% }
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ latent variable regression }
\keyword{ structural equation modelling }
\keyword{ moment structure analysis }% __ONLY ONE__ keyword per line
