\name{moments}
\alias{moments}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
%%  ~~function to do ... ~~
Computes the moments used in the latent variable regression in \code{LIMEst}
}
\description{
%%  ~~ A concise (1-5 lines) description of what the function does. ~~
Utility function used by \code{LIMEst}. Computes 2 moments of the bivariate distribution of (U, V), where U is a SNP and V is a continuous phenotype. The resulting vector of moments is used in the formulation of the cost function to be optimized within the latent variable regression problem.
}
\usage{
moments(U, V)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{U}{
%%     ~~Describe \code{U} here~~
measured SNP encoded as 0/1/2
}
  \item{V}{
%%     ~~Describe \code{V} here~~
measured continuous phenotype
}
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
A vector of two central moments (covariance and a 3rd order moment) of the distribution of (U, V) used for the latent variable regression
%%  ~Describe the value returned
%%  If it is a LIST, use
%%  \item{comp1 }{Description of 'comp1'}
%%  \item{comp2 }{Description of 'comp2'}
%% ...
}
\references{
%% ~put references to the literature/web site here ~
}
\author{
%%  ~~who you are~~
Janos-Zsigmond Kelemen, Niko Beerenwinkel
}
\note{
%%  ~~further notes~~
This function is only used internally by \code{LIMEst}.
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
\code{\link{LIMEst}}
}
% \examples{
% ## The function is used internally by the latent variable regression

% % ## The function is currently defined as
% % function (U, V) 
% % {
    % % Y <- V - mean(V)
    % % X <- U - mean(U)
    % % S <- c(mean(X * Y), mean(X^2 * Y))
    % % return(matrix(S, length(S), 1))
  % % }
% }
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ latent variable regression }
\keyword{ structural equation modelling }
\keyword{ moment structure analysis }% __ONLY ONE__ keyword per line
