\name{solpos}
\alias{solpos}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
%%  ~~function to do ... ~~
Analytical solution of constrained optimization problem at the upper boundary
}
\description{
%%  ~~ A concise (1-5 lines) description of what the function does. ~~
Utility function used by \code{LIMEst}. Computes the analytical solution of the constrained optimization problem at the lower boundary of the feasible space, within the latent variable regression.
}
\usage{
solpos(q, K, L, M, N)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{q}{
%%     ~~Describe \code{q} here~~
MAF parameter used in the cost function
}
  \item{K}{
%%     ~~Describe \code{K} here~~
2nd order moment (covariance) used in the cost function
}
  \item{L}{
%%     ~~Describe \code{L} here~~
3rd order moment used in the cost function
}
  \item{M}{
%%     ~~Describe \code{M} here~~
4th order moment (variance of K) used in the cost function
}
  \item{N}{
%%     ~~Describe \code{N} here~~
6th order moment (variance of L) used in the cost function
}
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
A vector of parameters as solution of the unconstrained optimization
	\item{}{MAF of latent SNP = 0.5}
	\item{}{Estimate of LD between the measured and the latent SNPs}
	\item{}{Estimate of the interaction coefficient between the measured and the latent SNPs}
	\item{}{Lagrange multiplier}
%%  ~Describe the value returned
%%  If it is a LIST, use
%%  \item{comp1 }{Description of 'comp1'}
%%  \item{comp2 }{Description of 'comp2'}
%% ...
}
\references{
%% ~put references to the literature/web site here ~
}
\author{
%%  ~~who you are~~
Janos-Zsigmond Kelemen, Niko Beerenwinkel
}
\note{
%%  ~~further notes~~
This function is only used internally by \code{LIMEst}.
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
\code{\link{LIMEst}}
}
% \examples{
% ##---- Should be DIRECTLY executable !! ----
% ##-- ==>  Define data, use random,
% ##--	or do  help(data=index)  for the standard data sets.

% ## The function is currently defined as
% function (q, K, L, M, N) 
% {
    % lagr <- (-16 * M * N * (-1 + q)^2 * (-9 * K^2 * M + 9 * K * 
        % L * M - 9 * K * L * N + 9 * L^2 * N + 24 * K^2 * M * 
        % q - 12 * K * L * M * q + 36 * K * L * N * q - 24 * L^2 * 
        % N * q - 18 * K^2 * M * q^2 + 4 * K * L * M * q^2 - 48 * 
        % K * L * N * q^2 + 18 * L^2 * N * q^2 + 4 * K^2 * M * 
        % q^3 + 24 * K * L * N * q^3 - 4 * L^2 * N * q^3 - 4 * 
        % K * L * N * q^4))/(-81 * M^2 - 162 * M * N - 81 * N^2 + 
        % 216 * M^2 * q + 864 * M * N * q + 648 * N^2 * q - 216 * 
        % M^2 * q^2 - 1800 * M * N * q^2 - 2160 * N^2 * q^2 + 96 * 
        % M^2 * q^3 + 1872 * M * N * q^3 + 3888 * N^2 * q^3 - 16 * 
        % M^2 * q^4 - 1032 * M * N * q^4 - 4104 * N^2 * q^4 + 288 * 
        % M * N * q^5 + 2592 * N^2 * q^5 - 32 * M * N * q^6 - 960 * 
        % N^2 * q^6 + 192 * N^2 * q^7 - 16 * N^2 * q^8)
    % if (lagr < 0) {
        % rawest <- c(NA, NA, NA, NA)
    % }
    % else {
        % rawest <- c(0.5, q/2, (3 * K * M + 3 * L * N - 2 * K * 
            % M * q - 6 * L * N * q + 2 * L * N * q^2)/(9 * M * 
            % q + 9 * N * q - 12 * M * q^2 - 36 * N * q^2 + 4 * 
            % M * q^3 + 48 * N * q^3 - 24 * N * q^4 + 4 * N * q^5), 
            % lagr)
    % }
    % return(rawest)
  % }
% }
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ latent variable regression }
\keyword{ structural equation modelling }
\keyword{ moment structure analysis }% __ONLY ONE__ keyword per line
