solneg <-
function(q,K,L,M,N){
	# Utility function used by LIMEst
	## analytical KKT solution at lower boundary of LD (p=0.5,LD=-q/2,b=,Lagrange=)
	
	lagr<-(-16.*M*N*(-1. + q)**2*(-1.*K**2*M + K*L*M - 1.*K*L*N + L**2*N + 8.*K**2*M*q - 4.*K*L*M*q + 12.*K*L*N*q - 8.*L**2*N*q - 18.*K**2*M*q**2 + 4.*K*L*M*q**2 - 48.*K*L*N*q**2 + 18.*L**2*N*q**2 + 12.*K**2*M*q**3 + 72.*K*L*N*q**3 - 12.*L**2*N*q**3 - 36.*K*L*N*q**4))/(M**2 + 2.*M*N + N**2 - 8.*M**2*q - 32.*M*N*q - 24.*N**2*q + 24.*M**2*q**2 + 200.*M*N*q**2 + 240.*N**2*q**2 - 32.*M**2*q**3 - 624.*M*N*q**3 - 1296.*N**2*q**3 + 16.*M**2*q**4 + 1032.*M*N*q**4 + 4104.*N**2*q**4 - 864.*M*N*q**5 - 7776.*N**2*q**5 + 288.*M*N*q**6 + 8640.*N**2*q**6 - 5184.*N**2*q**7 + 1296.*N**2*q**8);
	if(lagr<0){
		rawest<-c(NA,NA,NA,NA);
	}else{
	rawest<-c(
		.5,
		-q/2,
		(K*M + L*N - 2.*K*M*q - 6.*L*N*q + 6.*L*N*q**2)/(M*q + N*q - 4.*M*q**2 - 12.*N*q**2 + 4.*M*q**3 + 48.*N*q**3 - 72.*N*q**4 + 36.*N*q**5),
		lagr
	);
	}
	return(rawest);
}
