\name{sol}
\alias{sol}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
%%  ~~function to do ... ~~
Analytical solution of the unconstrained optimization problem
}
\description{
%%  ~~ A concise (1-5 lines) description of what the function does. ~~
Utility function used by \code{LIMEst}. Computes the analytical solution of the unconstrained optimization problem within the latent variable regression.
}
\usage{
sol(q, K, L, M, N)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{q}{
%%     ~~Describe \code{q} here~~
MAF parameter used in the cost function
}
  \item{K}{
%%     ~~Describe \code{K} here~~
2nd order moment (covariance) used in the cost function
}
  \item{L}{
%%     ~~Describe \code{L} here~~
3rd order moment used in the cost function
}
  \item{M}{
%%     ~~Describe \code{M} here~~
4th order moment (variance of K) used in the cost function
}
  \item{N}{
%%     ~~Describe \code{N} here~~
6th order moment (variance of L) used in the cost function
}
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
A vector of parameters as solution of the unconstrained optimization
	\item{}{MAF of latent SNP = 0.5}
	\item{}{Estimate of LD between the measured and the latent SNPs}
	\item{}{Estimate of the interaction coefficient between the measured and the latent SNPs}
	\item{}{Lagrange multiplier = 0}
%%  ~Describe the value returned
%%  If it is a LIST, use
%%  \item{comp1 }{Description of 'comp1'}
%%  \item{comp2 }{Description of 'comp2'}
%% ...
}
\references{
%% ~put references to the literature/web site here ~
}
\author{
%%  ~~who you are~~
Janos-Zsigmond Kelemen, Niko Beerenwinkel
}
\note{
%%  ~~further notes~~
This function is only used internally by \code{LIMEst}.
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
\code{\link{LIMEst}}
}
% \examples{
% ##---- Should be DIRECTLY executable !! ----
% ##-- ==>  Define data, use random,
% ##--	or do  help(data=index)  for the standard data sets.

% ## The function is currently defined as
% function (q, K, L, M, N) 
% {
    % rawest <- c(0.5, ((-1 * K + L + 2 * K * q) * (-1 * q + q^2))/(-1 * 
        % K + L + 2 * K * q^2), (0.25 * (K - 1 * L - 2 * K * q^2))/((-1 + 
        % q)^2 * q^2), 0)
    % return(rawest)
  % }
% }
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ latent variable regression }
\keyword{ structural equation modelling }
\keyword{ moment structure analysis }% __ONLY ONE__ keyword per line
